/*
 *  Canon Bubble Jet Print Filter for Linux
 *  Copyright CANON INC. 2001-2003
 *  All Right Reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * NOTE:
 *  - As a special exception, this program is permissible to link with the
 *    libraries released as the binary modules.
 *  - If you write modifications of your own for these programs, it is your
 *    choice whether to permit this exception to apply to your modifications.
 *    If you do not wish that, delete this exception.
*/

#ifndef _CNCLUDEF_H_
#define _CNCLUDEF_H_

/************************************************************/
/* Parameter ID not defined in cncldef.h					*/
/************************************************************/
/* Object ID */
enum
{
	CNCL_MEDIATYPE,					/* ǥ */
//	CNCL_PRINTCOLOR,				/*  */
	CNCL_PRINTQUALITY,				/* ʰ̥ݥ */
	CNCL_SMOOTHING,					/* Υࡼ */
	CNCL_MEDIASUPPLY,				/* ˡ */
	CNCL_QUALITYLEVEL,				/* ʰ̤Υ٥ */
	CNCL_RESOLUTION_APP_V,			/* ɥ饤Фǡν */
	CNCL_RESOLUTION_APP_H,			/* ɥ饤Фǡβ */
	CNCL_ENHBK,						/* Ĵ */
	CNCL_PAPERSIZE,					/* ѻ極 */
	CNCL_MESS_QUALITY,				/* ʰ̥å */
	CNCL_MESS_THICK,				/* ֥ݥå */
	CNCL_MESS_PAPERLOAD,			/* ݥå */
	CNCL_MESS_RESOLUTION,			/* ɽβ */
	CNCL_MESS_SMLIB,				/* ࡼ󥰥饤֥λ */
//	CNCL_INKSYSTEM,					/* 󥯥ƥ */
	CNCL_DITHER_PAT,				/* Ͳ */
	CNCL_COLOR_COLLECTION,			/* 顼 */
	CNCL_BANNER,					/* Хʡ */
	CNCL_CARTRIDGE,					/* ȥå˴ؤ */
	CNCL_GRAYSCALE,					/* 졼˴ؤ */
//	CNCL_BIN_METHOD,				/* Ͳˡ */
//	CNCL_NATIVE_VER,				/*  */
//	CNCL_COUNTRY,					/* J,EǤ˴ؤ */
	CNCL_MESS_Q_MAP1,				/* ʰ̥ݥޥåԥ󥰾 */
	CNCL_MESS_Q_MAP2,				/* Ρޥݥޥåԥ󥰾 */
	CNCL_MESS_Q_MAP3,				/* ®ݥޥåԥ󥰾 */
	CNCL_MESS_AUTO_HT_ED,			/*  */
	CNCL_MESS_AUTO_HT_PAT,			/*  */
	CNCL_INPUT_GAMMA,						/* ϥ */
	CNCL_MARGINTYPE,
	CNCL_VIVID,
	CNCL_PAPERGAP_COMMAND,
};

/* Media Type */
/* defined in cncl.h */

/* Print Quality */
/* this parameter is not used */

/* Smoothing */
/* defined in cncl.h */

/* Media Supply */
/* defined in cncl.h */

/* Quality Level */
enum
{
	CND_LEVEL_5,		/* 5 level */	
	CND_LEVEL_4,		/* 4 level */
	CND_LEVEL_3,		/* 3 level */
	CND_LEVEL_2,		/* 2 level */	
	CND_LEVEL_1,		/* 1 level */
	CND_LEVEL_NA,		/* Not Applicable */
};

/* Verticality Resolution */
enum
{
	CND_RESAPP_V_NA,	/* Not Applicable */
};

/* Horizontally Resolution */
enum
{
	CND_RESAPP_H_NA,	/* Not Applicable */
};

/* emphasis black */
enum
{
	CND_ENH_NOT,		/* ĴOFF */
	CND_ENH_ENH,		/* ĴON */
	CND_ENH_NA,			/* Not Applicable */
	CND_ENH_MAX,		/* Max Indicator */
};

/* Paper Size */
/* defined in cncl.h */

/* Print Quality Message */
enum
{
	CND_QMESSAGE_FINE,		/* FINE */
	CND_QMESSAGE_FINE2,		/* FINE2 */
	CND_QMESSAGE_CP,		/* CP */
	CND_QMESSAGE_HQ,		/* HQ */
	CND_QMESSAGE_NORMAL,	/* NORMAL */
	CND_QMESSAGE_HS,		/* HS */
	CND_QMESSAGE_ECONOMY,	/* ECONOMY */
	CND_QMESSAGE_PHOTO0,	/* PHOTO0 */
	CND_QMESSAGE_PHOTO,		/* PHOTO */
	CND_QMESSAGE_PHOTO2,	/* PHOTO2 */
	CND_QMESSAGE_DRAFT,		/* ® */
	CND_QMESSAGE_Q1,		/* ɸ®ͥ */
	CND_QMESSAGE_Q2,		/* ɸʰͥ */
	CND_QMESSAGE_Q3,		/* ʰ */
	CND_QMESSAGE_Q4,		/* ǹʰ */
	CND_QMESSAGE_Q2_STD,	/* ɸࡧɸ(®ͥ)orɸ(ʰͥ)ΤߤξѤ */
	CND_QMESSAGE_NA,		/* Not Applicable */
	CND_QMESSAGE_MAX,		/* Max Indicator */
}; 

/* Paper Position Message */
enum
{
	CND_TMESSAGE_POSITION1,	/* ݥ1 */
	CND_TMESSAGE_POSITION2, /* ݥ2 */
	CND_TMESSAGE_POSITION3,	/* ݥ3 */
	CND_TMESSAGE_LEFT,		/* ʶ */
	CND_TMESSAGE_CENTER,	/*  */
	CND_TMESSAGE_RIGHT,		/* ʹ */
	CND_TMESSAGE_LOWER,		/* ʶ */
	CND_TMESSAGE_UPPER,		/* ʶ */
	CND_TMESSAGE_LOWER2,	/* ʹ */
	CND_TMESSAGE_UPPER2,	/* ʶ */
	CND_TMESSAGE_NA,		/* Not Applicable */
	CND_TMESSAGE_MAX,		/* Max Indicator */
};

/* Supplied Paper Position Message */
enum
{
	CND_PLMESSAGE_FORWARD,	/*  */
	CND_PLMESSAGE_BACKWARD,	/*  */
	CND_PLMESSAGE_LOWER,	/*  */
	CND_PLMESSAGE_UPPER,	/*  */
	CND_PLMESSAGE_NA,		/* Not Applicable */
	CND_PLMESSAGE_MAX,		/* Max Indicator */
};

/* Resolutoin displayed */
enum
{
	CND_RESMESS_180_180,	/* 180x180dpi */
	CND_RESMESS_360_360,	/* 360x360dpi */
	CND_RESMESS_720_360,	/* 720x360dpi */
	CND_RESMESS_720_720,	/* 720x720dpi */
	CND_RESMESS_300_300,	/* 300x300dpi */
	CND_RESMESS_600_600,	/* 600x600dpi */
	CND_RESMESS_1200_600,	/* 1200x600dpi */
	CND_RESMESS_1200_1200,	/* 1200x1200dpi */
	CND_RESMESS_1440_720,	/* 1440x720dpi */
	CND_RESMESS_1440_1440,	/* 1440x1440dpi */
	CND_RESMESS_NA,			/* Not Applicable */
	CND_RESMESS_SPACE,		/* ɽ */
	CND_RESMESS_MAX,		/* Max Indicator */
};

/* Smoothing library */
enum
{
	CND_SLMESS_NOT,			/* ࡼOFF */
	CND_SLMESS_SMOOTH,		/* ࡼON */
	CND_SLMESS_MYSTCUT,		/* ࡼONĥߥȷڸON */
	CND_SLMESS_NA,			/* Not Applicable */
	CND_SLMESS_MAX,			/* Max Indicator */
};

/* Dither Pattern  */
enum
{
	CND_UIBIN_PATTERN,			/* ѥ */
	CND_UIBIN_PATTERN_HS,		/* ѥ(®) */
	CND_UIBIN_V_PATTERN,		/* Vѥ */
	CND_UIBIN_ED,				/* Ȼ */
	CND_UIBIN_NA,				/* Not Applicable */
	CND_UIBIN_MAX,				/* Max Indicator */
};



/* Color Correction */
enum
{
	CND_COLLECTION_4,		/* 4 */
	CND_COLLECTION_3,		/* 3 */
	CND_COLLECTION_NA,		/* Not Applicable */
};

/* banner */
/* defiend in cncl.h */

/* Cartridge */
enum
{
	CND_CARTRIDGE_COLOR,		/* 顼ȥạ̊ */
	CND_CARTRIDGE_BK,			/* Υȥạ̊ */
	CND_CARTRIDGE_PHOTO,		/* եȥȥạ̊ */
	CND_CARTRIDGE_BK_COLOR,		/* ֥å顼ȥå */
	CND_CARTRIDGE_BK_PHOTO,		/* ֥åեȥȥå */
	CND_CARTRIDGE_PHOTO_COLOR,	/* եȡ顼ȥå */
	CND_CARTRIDGE_NA,			/* ȥå˴ؤʤ̣ */
	CND_CARTRIDGE_MAX,			/* Max Indicator */
};

/* Gray Scale */
/* defined in cncl.h */

/* Margin Type */
/* defined in cncldef.h */

/* Vivid support */
enum {
	CND_VIVID_SUPPORT,
	CND_VIVID_NA,
	CND_VIVID_MAX,
};

/* Paper Gap */
/* defined in cncldef.h */

#endif
